<?php

if ( !defined( 'ABSPATH' ) ) exit();

if( !class_exists( 'OVAPRO_assets' ) ){
	class OVAPRO_assets{

		public function __construct(){
			add_action( 'wp_enqueue_scripts', array( $this, 'ovapro_enqueue_scripts' ), 10, 0 );
		}

		public function ovapro_enqueue_scripts(){

			// Init Css
			wp_enqueue_style( 'project-style', OVAPRO_PLUGIN_URI.'assets/css/style.css' );	

			// Add JS
			wp_enqueue_script( 'script-project', OVAPRO_PLUGIN_URI. 'assets/js/script.js', [ 'jquery' ], false, true );

			// Ajax
		    $params  = array(
		    	'ajax_url' 		=> admin_url('admin-ajax.php'), 
		    	'ajax_nonce'	=> wp_create_nonce( apply_filters( 'ova_project_ajax_security', 'ajax_theme' ) )
		    );
			wp_localize_script( 'script-project', 'ajax_object', $params ) ;
		}

	}

	new OVAPRO_assets();
}