<?php if ( !defined( 'ABSPATH' ) ) exit();

get_header();

$number_column     = get_theme_mod( 'ova_project_layout', 'three_column' );

$template          = isset( $_GET['template'] ) ? $_GET['template'] : get_theme_mod( 'ova_project_template','template1' );

?>

<div class="row_site">
     <div class="container_site">

          <div class="archive_project">
               
               <div class="archive_project_content <?php echo esc_attr( $number_column ) ; ?>">

                    <?php if( have_posts() ) : while ( have_posts() ) : the_post(); ?>

                    <?php if( $template === 'template1' ) {
                         ovapro_get_template( 'parts/item-template-1.php', $args );

                         } elseif( $template === 'template2' ) {
                              ovapro_get_template( 'parts/item-template-2.php', $args );

                         } elseif( $template === 'template3' ) {
                              ovapro_get_template( 'parts/item-template-3.php', $args );
                         
                         } elseif( $template === 'template4' ) {
                              ovapro_get_template( 'parts/item-template-4.php', $args );

                         } elseif( $template === 'template5' ) {
                              ovapro_get_template( 'parts/item-template-5.php', $args );     
                      
                         } elseif( $template === 'template6' ) {
                              ovapro_get_template( 'parts/item-template-6.php', $args );

                         } else {
                              ovaproject_get_template( 'parts/item-template-1.php', $args );
                    }

                    endwhile; endif; wp_reset_postdata(); ?>

               </div>

               <?php 
               $args = array(
                    'type'      => 'list',
                    'next_text' => '<i class="ovaicon ovaicon-next"></i>',
                    'prev_text' => '<i class="ovaicon ovaicon-back"></i>',
                 );

                 the_posts_pagination($args);
           ?>

          </div>
     </div>
</div>

<?php 
get_footer();