<?php if ( !defined( 'ABSPATH' ) ) exit();

$template = isset( $args['template'] ) ? $args['template'] : 'template1' ;

$data_options['items']              = $args['item_number'];
$data_options['slideBy']            = $args['slides_to_scroll'];
$data_options['margin']             = $args['margin_items'];
$data_options['autoplayTimeout']    = $args['autoplay_speed'];
$data_options['smartSpeed']         = $args['smartspeed'];
$data_options['center'] 			= $args['center_mode'] 		=== 'yes' ? true : false;
$data_options['autoplayHoverPause'] = $args['pause_on_hover'] 	=== 'yes' ? true : false;
$data_options['loop']               = $args['infinite'] 		=== 'yes' ? true : false;
$data_options['autoplay']           = $args['autoplay'] 		=== 'yes' ? true : false;
$data_options['nav']                = $args['nav_control']		=== 'yes' ? true : false;
$data_options['dots']               = $args['dots_control']		=== 'yes' ? true : false;

$projects = ovapro_get_projects_element( $args );


?>

<div class="ova-project-slider ova-project-slider-<?php echo esc_attr( $template ) ; ?>">

	<div class="slide-project owl-carousel owl-theme" data-options="<?php echo esc_attr(json_encode($data_options)) ?>">

		<?php if( $projects->have_posts() ) : while ( $projects->have_posts() ) : $projects->the_post(); ?>

           <?php if( $template === 'template1' ) {
	        		ovapro_get_template( 'parts/item-template-1.php', $args );

		        } elseif( $template === 'template2' ) {
		        	ovapro_get_template( 'parts/item-template-2.php', $args );

		        } elseif( $template === 'template3' ) {
		        	ovapro_get_template( 'parts/item-template-3.php', $args );
		        	
		        } elseif( $template === 'template4' ) {
		        	ovapro_get_template( 'parts/item-template-4.php', $args );

		        } elseif( $template === 'template5' ) {
		        	ovapro_get_template( 'parts/item-template-5.php', $args );	 
	            
	            } elseif( $template === 'template6' ) {
		        	ovapro_get_template( 'parts/item-template-6.php', $args );

		        } else {
		        	ovapro_get_template( 'parts/item-template-1.php', $args );
	        	}
			?>

		<?php endwhile; endif; wp_reset_postdata(); ?>

	</div>

</div>
