<?php if ( !defined( 'ABSPATH' ) ) exit();

$sevs     = ova_sev_get_services_element( $args );

$template = isset( $args['template'] ) ? $args['template'] : 'template1' ;
$column   = isset( $args['number_column'] ) ? $args['number_column'] : 'three_column' ;

?>

<div class="ova-service-box-elementor <?php echo esc_attr( $number_column ) ; ?>">

	<?php if( $sevs->have_posts() ) : while ( $sevs->have_posts() ) : $sevs->the_post(); ?>

		<?php if( $template === 'template1' ) {
	        	ovasev_get_template( 'parts/item-service1.php', $args );

	        } elseif( $template === 'template2' ) {
	        	ovasev_get_template( 'parts/item-service2.php', $args );

	        } elseif( $template === 'template3' ) {
	        	ovasev_get_template( 'parts/item-service3.php', $args );
	        	
	        } elseif( $template === 'template4' ) {
	        	ovasev_get_template( 'parts/item-service4.php', $args );

	        } elseif( $template === 'template5' ) {
	        	ovasev_get_template( 'parts/item-service5.php', $args );	 
            
            } elseif( $template === 'template6' ) {
	        	ovasev_get_template( 'parts/item-service6.php', $args );

	        } else {
	        	ovasev_get_template( 'parts/item-service1.php', $args );
	        }
		?>

	<?php endwhile; endif; wp_reset_postdata(); ?>

</div>