<?php if ( !defined( 'ABSPATH' ) ) exit();

$template = isset( $args['template'] ) ? $args['template'] : 'template1' ;

$data_options['items']              = $args['item_number'];
$data_options['slideBy']            = $args['slides_to_scroll'];
$data_options['margin']             = $args['margin_items'];
$data_options['autoplayHoverPause'] = $args['pause_on_hover'] === 'yes' ? true : false;
$data_options['loop']               = $args['infinite'] === 'yes' ? true : false;
$data_options['autoplay']           = $args['autoplay'] === 'yes' ? true : false;
$data_options['autoplayTimeout']    = $args['autoplay_speed'];
$data_options['smartSpeed']         = $args['smartspeed'];
$data_options['nav']                = $args['nav_control'] === 'yes' ? true : false;

$sevs = ova_sev_get_services_element( $args );

?>

<div class="ova-service-slider">

	<div class="slide-service owl-carousel owl-theme" data-options="<?php echo esc_attr(json_encode($data_options)) ?>">

		<?php if( $sevs->have_posts() ) : while ( $sevs->have_posts() ) : $sevs->the_post(); ?>

           <?php if( $template === 'template1' ) {
	        	ovasev_get_template( 'parts/item-service1.php', $args );

		        } elseif( $template === 'template2' ) {
		        	ovasev_get_template( 'parts/item-service2.php', $args );

		        } elseif( $template === 'template3' ) {
		        	ovasev_get_template( 'parts/item-service3.php', $args );
		        	
		        } elseif( $template === 'template4' ) {
		        	ovasev_get_template( 'parts/item-service4.php', $args );

		        } elseif( $template === 'template5' ) {
		        	ovasev_get_template( 'parts/item-service5.php', $args );	 
	            
	            } elseif( $template === 'template6' ) {
		        	ovasev_get_template( 'parts/item-service6.php', $args );

		        } else {
		        	ovasev_get_template( 'parts/item-service1.php', $args );
	        	}
			?>

		<?php endwhile; endif; wp_reset_postdata(); ?>

	</div>

</div>
