(function($){
	"use strict";
	

	$(window).on('elementor/frontend/init', function () {

	    /* service slider */
        elementorFrontend.hooks.addAction('frontend/element_ready/ovasev_elementor_service_slider.default', function(){

            $(".ova-service-slider .slide-service").each(function(){

                var owlsl = $(this) ;
                var owlsl_ops = owlsl.data('options') ? owlsl.data('options') : {};

                var responsive_value = {
                    0:{
                        items:1,
                    },
                    767:{
                        items:2,
                    },
                    992:{
                        items:owlsl_ops.items - 1,
                    },
                    1170:{
                        items:owlsl_ops.items
                    }
                };
                  
                owlsl.owlCarousel({
                    margin: owlsl_ops.margin,
                    items: owlsl_ops.items,
                    loop: owlsl_ops.loop,
                    autoplay: owlsl_ops.autoplay,
                    autoplayTimeout: owlsl_ops.autoplayTimeout,
                    center: owlsl_ops.center,
                    nav: owlsl_ops.nav,
                    dots: true,
                    autoWidth: false,
                    thumbs: owlsl_ops.thumbs,
                    autoplayHoverPause: owlsl_ops.autoplayHoverPause,
                    slideBy: owlsl_ops.slideBy,
                    smartSpeed: owlsl_ops.smartSpeed,
                    navText:[
                    '<i class="flaticon flaticon-left-arrow" ></i>',
                    '<i class="flaticon flaticon-right-arrow" ></i>'
                    ],
                    responsive: responsive_value,
                });

                /* Fixed WCAG */
                owlsl.find(".owl-nav button.owl-prev").attr("title", "Previous");
                owlsl.find(".owl-nav button.owl-next").attr("title", "Next");
                owlsl.find(".owl-dots button").attr("title", "Dots");

            });

        });

	});

})(jQuery);