(function($){
    "use strict";
    

    $(window).on('elementor/frontend/init', function () {

        /* project slider */
        elementorFrontend.hooks.addAction('frontend/element_ready/ovapro_elementor_project_slider.default', function(){

            $(".ova-project-slider .slide-project").each(function(){

                var owlsl = $(this) ;
                var owlsl_ops = owlsl.data('options') ? owlsl.data('options') : {};
                
                // responsive value 
                if ( owlsl_ops.items == 5 ) {
                    var responsive_value = {
                        0:{
                            items:1,
                            dots: true,
                            nav: false
                        },
                        767:{
                            items:2,
                        },
                        1024:{
                            items:owlsl_ops.items - 2,
                        },
                        1300:{
                            items:owlsl_ops.items - 1
                        },
                        1520:{
                            items:owlsl_ops.items
                        }
                    };
                } else {
                    var responsive_value = {
                        0:{
                            items:1,
                            dots: true,
                            nav: false
                        },
                        767:{
                            items:2,
                        },
                        1024:{
                            items:owlsl_ops.items - 1,
                        },
                        1400:{
                            items:owlsl_ops.items
                        }
                    };
                }   
                  
                owlsl.owlCarousel({
                    margin: owlsl_ops.margin,
                    items: owlsl_ops.items,
                    loop: owlsl_ops.loop,
                    autoplay: owlsl_ops.autoplay,
                    autoplayTimeout: owlsl_ops.autoplayTimeout,
                    center: owlsl_ops.center,
                    nav: owlsl_ops.nav,
                    dots: owlsl_ops.dots,
                    autoWidth: false,
                    thumbs: owlsl_ops.thumbs,
                    autoplayHoverPause: owlsl_ops.autoplayHoverPause,
                    slideBy: owlsl_ops.slideBy,
                    smartSpeed: owlsl_ops.smartSpeed,
                    navText:[
                    '<i class="flaticon flaticon-left-arrow" ></i>',
                    '<i class="flaticon flaticon-right-arrow" ></i>'
                    ],
                    responsive: responsive_value,
                });

                /* Fixed WCAG */
                owlsl.find(".owl-nav button.owl-prev").attr("title", "Previous");
                owlsl.find(".owl-nav button.owl-next").attr("title", "Next");
                owlsl.find(".owl-dots button").attr("title", "Dots"); 

            });

        });

    });

})(jQuery);