<?php if ( !defined( 'ABSPATH' ) ) exit();

get_header();

$number_column 	= get_theme_mod( 'ova_sev_layout', 'three_column' );

$template     	= isset( $_GET['template'] ) ? $_GET['template'] : get_theme_mod( 'ova_sev_template','template1' );

?>

<div class="row_site">
	<div class="container_site">

		<div class="archive_sev">
			
			<div class="archive_sev_content <?php echo esc_attr( $number_column ) ; ?>">

				<?php if( have_posts() ) : while ( have_posts() ) : the_post(); ?>

                    <?php if( $template === 'template1' ) {
			        	ovasev_get_template( 'parts/item-service1.php', $args );

			        } elseif( $template === 'template2' ) {
			        	ovasev_get_template( 'parts/item-service2.php', $args );

			        } elseif( $template === 'template3' ) {
			        	ovasev_get_template( 'parts/item-service3.php', $args );
			        	
			        } elseif( $template === 'template4' ) {
			        	ovasev_get_template( 'parts/item-service4.php', $args );

			        } elseif( $template === 'template5' ) {
			        	ovasev_get_template( 'parts/item-service5.php', $args );	 
		            
		            } elseif( $template === 'template6' ) {
			        	ovasev_get_template( 'parts/item-service6.php', $args );

			        } else {
			        	ovasev_get_template( 'parts/item-service1.php', $args );
			        }

				endwhile; endif; wp_reset_postdata(); ?>

			</div>

			<?php 
	    		$args = array(
	                'type'      => 'list',
	                'next_text' => '<i class="ovaicon ovaicon-next"></i>',
	                'prev_text' => '<i class="ovaicon ovaicon-back"></i>',
	            );

	            the_posts_pagination($args);
	    	 ?>

		</div>
	</div>
</div>

<?php 
get_footer();

