<?php if ( !defined( 'ABSPATH' ) ) exit();

$projects     = ovapro_get_projects_element( $args );

$template = isset( $args['template'] ) 		? $args['template'] 	 : 'template1' ;
$column   = isset( $args['number_column'] ) ? $args['number_column'] : 'three_column' ;

?>

<div class="ova-project-box-elementor <?php echo esc_attr( $number_column ) ; ?>">

	<?php if( $projects->have_posts() ) : while ( $projects->have_posts() ) : $projects->the_post(); ?>

		<?php if( $template === 'template1' ) {
	        	ovapro_get_template( 'parts/item-template-1.php', $args );

	        } elseif( $template === 'template2' ) {
	        	ovapro_get_template( 'parts/item-template-2.php', $args );

	        } elseif( $template === 'template3' ) {
	        	ovapro_get_template( 'parts/item-template-3.php', $args );
	        	
	        } elseif( $template === 'template4' ) {
	        	ovapro_get_template( 'parts/item-template-4.php', $args );

	        } elseif( $template === 'template5' ) {
	        	ovapro_get_template( 'parts/item-template-5.php', $args );	 
            
            } elseif( $template === 'template6' ) {
	        	ovapro_get_template( 'parts/item-template-6.php', $args );

	        } else {
	        	ovapro_get_template( 'parts/item-template-1.php', $args );
	        }
		?>

	<?php endwhile; endif; wp_reset_postdata(); ?>

</div>