<?php if ( !defined( 'ABSPATH' ) ) exit();

	if ( isset( $args['id'] ) && $args['id'] ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}
    
    // featured image
    $thumbnail   = wp_get_attachment_image_url( get_post_thumbnail_id( $id ),'ovapro_thumbnail' );
    if( $thumbnail == '') {
    	$thumbnail   =  \Elementor\Utils::get_placeholder_image_src();
	}
	
	$target  	 = ( isset( $args['target_blank'] ) && ( 'yes' === $args['target_blank'] ) ) ? "target='_blank'" : '' ;

    $title       = get_the_title();

?>

	<div class="ova-project-box-template ova-project-box-template5">

	    <div class="img-project">
	    	<a href="<?php the_permalink(); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">
	    		<img src="<?php echo esc_attr( $thumbnail ) ; ?>" alt="<?php echo esc_attr( $title ); ?>">
	    	</a>
	    </div>

	    <div class="info-wrapper">

	    	<div class="info">

		    	<a href="<?php the_permalink(); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">

			        <?php if (!empty( $title )): ?>
						<h4 class="title">
							<?php echo esc_html( $title ); ?>
						</h4>
					<?php endif;?>

				</a>
				
		    </div>
	    	
	    </div>
	    

	</div>	